
Foreman - Bug #23463

YAML rendering of external nodes generates incorrect data if hashes are used

04/30/2018 04:14 PM - Anonymous

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Parameters   

Target version: 1.17.2   

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases: 1.17.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Rendering the external YAML data of a host causes Foreman to generate incorrect data if it includes hashes that are set in

parameterised classes.

Generated YAML:

classes:

  easystack:

    ceph_monitors:

    - !ruby/hash:ActiveSupport::HashWithIndifferentAccess

      fqdn: [RETRACTED]

      ip:  [RETRACTED]

      master: true

    - !ruby/hash:ActiveSupport::HashWithIndifferentAccess

      fqdn:  [RETRACTED]

      ip:  [RETRACTED]

      master: true

    - !ruby/hash:ActiveSupport::HashWithIndifferentAccess

      fqdn:  [RETRACTED]

      ip:  [RETRACTED]

      master: true

 This seems to be a duplicate of #9240 and was introduced again somewhere between 1.16.1 and 1.17.0.

Related issues:

Is duplicate of Foreman - Bug #23382: Editing Smart Class Parameter of type Y... Closed 04/24/2018

History

#1 - 04/30/2018 04:16 PM - Anonymous

- Related to Bug #23382: Editing Smart Class Parameter of type YAML creates malformed value in release 1.17.0 added

#2 - 05/17/2018 10:54 AM - Tomer Brisker

- translation missing: en.field_release set to 360

#3 - 05/22/2018 04:18 PM - Tomer Brisker

- Category changed from API to Parameters

#4 - 07/04/2018 09:27 AM - Daniel Lobato Garcia

- Triaged set to No

Does anyone have a good reproducer for this one? I'm able to get the following hashes right:

classes:

  dhcp:
    bootfiles:

      '00:06': grub2/bootia32.efi

      '00:07': grub2/bootx64.efi

      '00:09': grub2/bootx64.efi

#5 - 07/05/2018 01:04 PM - Daniel Lobato Garcia

- Status changed from New to Duplicate

This is most certainly a duplicate of #23382

#6 - 07/05/2018 01:05 PM - Daniel Lobato Garcia

- Related to deleted (Bug #23382: Editing Smart Class Parameter of type YAML creates malformed value in release 1.17.0)

#7 - 07/05/2018 01:06 PM - Daniel Lobato Garcia

- Is duplicate of Bug #23382: Editing Smart Class Parameter of type YAML creates malformed value in release 1.17.0 added
